Get existing candidate
curl --request GET \
--url https://api.gospott.com/candidate-portal/{candidateId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/candidate-portal/{candidateId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/candidate-portal/{candidateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"firstName": "<string>",
"lastName": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": true
}
],
"socialMedia": [
{
"url": "<string>",
"isPrimary": true
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "Candidate not found",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Candidate Portal
Get existing candidate
Get basic details on existing candidate to pre-fill the candidate update form. Returns email addresses, phone numbers, social media links, and name information.
GET
/
candidate-portal
/
{candidateId}
Get existing candidate
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
⌘I

